<div>
  <button mat-stroked-button [disabled]="selection.selected.length === 0 || isImporting" (click)="importSelected()">Import selected</button>
</div>

<div class="filter">
  <mat-form-field>
    <mat-label>Filter</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
  </mat-form-field>
</div>

<mat-progress-bar mode="indeterminate" *ngIf="isImporting"></mat-progress-bar>

<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource" matSort>

    <!-- Checkbox Column -->
    <ng-container matColumnDef="select">
      <th mat-header-cell *matHeaderCellDef>
<!--        <mat-checkbox (change)="$event ? masterToggle() : null"-->
<!--                      [checked]="selection.hasValue() && isAllSelected()"-->
<!--                      [indeterminate]="selection.hasValue() && !isAllSelected()"-->
<!--                      [aria-label]="checkboxLabel()">-->
<!--        </mat-checkbox>-->
      </th>
      <td mat-cell *matCellDef="let row">
        <mat-checkbox (click)="$event.stopPropagation()"
                      (change)="$event ? selection.toggle(row) : null"
                      [checked]="selection.isSelected(row)"
                      [aria-label]="checkboxLabel(row)">
        </mat-checkbox>
      </td>
    </ng-container>

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
    <ng-container matColumnDef="commander">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Commander </th>
      <td mat-cell *matCellDef="let element"> {{element.commander}} </td>
    </ng-container>
    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Type </th>
      <td mat-cell *matCellDef="let element"> {{element.type}} </td>
    </ng-container>
    <ng-container matColumnDef="startedAt">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Timestamp </th>
      <td mat-cell *matCellDef="let element"> {{element.startedAt | date:'full'}} </td>
    </ng-container>
    <ng-container matColumnDef="body">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Body </th>
      <td mat-cell *matCellDef="let element"> {{element.body}} </td>
    </ng-container>
    <ng-container matColumnDef="comment">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Comment </th>
      <td mat-cell *matCellDef="let element"> {{element.comment}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
</div>
